Subject: bug#25395: 25.1; Emacs/W3 crashes on every url with elisp error (void-variable w3--args)

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Jan 2017 23:26:25 -0500

Glenn Morris wrote:

> Still, doesn't seem actively maintained, based on
> http://git.savannah.gnu.org/cgit/emacs/elpa.git/?h=externals/w3

To expand on this:

According to the above url:
The package was last developed 8.5 years ago.
It was added to elpa.gnu.org 3 years ago, with 4 commits.
The error you are seeing comes from one of those commits ("try to fix
compiler warnings"). "M-x w3" has the same error. So I can only
assume this package has not been tested or used by anyone since it was
added to elpa.gnu.org.
So I have to wonder what the value of having it there is.

I suggest you use M-x eww instead, and that if no-one wants to maintain
w3 it be removed from elpa.gnu.org.